package com.sf._03_str;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 查看字符串的长度
         * length();
         *
         * 注册时候限制最小要几个字符最多几个字符
         */
        String name = "zhangsan";
        System.out.println("字符串长度为:"+ name.length());
        /**
         * 查询字符数组中对应字符
         * char charAt(int index)
         */
        System.out.println("对应位置字符为:"+name.charAt(0));

        /**
         * 获取字符串第一次出现索引位置
         * indexOf(String str)
         * 作用: 利用这个方法判断字符串是否包含某一段内容
         */
        System.out.println("ang在name当中索引位置:"+ name.indexOf("xxxx"));

        /**
         * 判断字符串是否以什么前缀开始的
         * boolean startWith(String prefix)
         */
        System.out.println("字符串是否是zhang 开始的"+name.startsWith("zhang"));
        /**
         * 字符串比较 如果比较内容是否相同实用equals 比较地址是否相同==
         * String 当中重写了 Object equals 方法默认比较就是地址值是否相同
         *
         * equalsIgnoreCase : 忽略大小写比较
         */
        String str = "abcDeF";
        String str1 = "abcdEf";
        System.out.println(str.equals(str1));
        System.out.println(str.equalsIgnoreCase(str1));

        /**
         * String toUpperCase() 把字符串转成大写
         * String toLowerCase() 把字符串转成小写
         */
        String str3 = "abEfDx";
        System.out.println(str3.toUpperCase());
        System.out.println(str3.toLowerCase());

        /**
         * 字符串截取
         * String substring(beingIndex);
         * String substring(beginIndex,int endIndex);
         */
        String str4 = "fanjialong";
        System.out.println(str4.substring(3));
        System.out.println(str4.substring(3,6));

        /**
         * 字符串替换
         * String replace(String oldStr,String new Str)
         *
         */
        String str5 = "zhangsan";
        System.out.println(str5.replace("zhang","li"));

        /**
         * trim() 去除前面和后面空格
         */
        String str6 = "      wangwu       ";

        System.out.println(str6.trim());

        /**
         * contains : 判断是否包含某一段字符串
         */
        System.out.println(str6.contains("wang1"));
    }
}
